#!/bin/sh

. /etc/wmde-rp.conf

KNOWNHOSTS=`$PREFIX/wmde-rp-generate-known-hosts.sh`
LASTERROR=$? if [ $LASTERROR -ne 0 ]; then exit $LASTERROR fi

mkdir -p $HOMEDIR/.wmdesync 
LASTERROR=$?  if [ $LASTERROR -ne 0 ]; then exit $LASTERROR fi


echo $KNOWNHOSTS > "$HOMEDIR/.wmdesync/known_hosts"
LASTERROR=$?  if [ $LASTERROR -ne 0 ]; then exit $LASTERROR fi

ssh $SSHARGS $PAM_USER@$NFSSERVER /usr/bin/true 
LASTERROR=$?  if [ $LASTERROR -ne 0 ]; then exit $LASTERROR fi



ls  $NFSHOMES/$PAM_USER/ 

#mkdir -p $HOMEDIR/.config
#mkdir -p $NFSHOMES/$PAM_USER/.config
#unison $HOMEDIR/.config  $NFSHOMES/$PAM_USER/.config $WMDE_UNISONARGS -ignore "Path .unison-wmde"  

#mkdir -p $HOMEDIR/.local/share/backgrounds
#mkdir -p $NFSHOMES/$PAM_USER/.local/share/backgrounds
#unison $HOMEDIR/.local/share/backgrounds $NFSHOMES/$PAM_USER/.local/share/backgrounds $WMDE_UNISONARGS -ignore "Path .unison-wmde" 



IGNORES="-ignore 'Path .wmdesync' "
OTHERARGS="-auto -log -prefer newer  -fastcheck true -maxerrors 5000 " 


export UNISON=$HOMEDIR/.wmdesync/unison
export UNISONLOCALHOSTNAME=`hostname`

mkdir -p $UNISON
WMDE_UNISON_PRF=/etc/wmde-rp-unison.prf
if [ -e "$WMDE_UNISON_PRF" ]; then cp "$WMDE_UNISON_PRF" "$UNISON/default.prf"; fi

echo "Doing initial profile sync, be patient ..."
eval unison $HOMEDIR $NFSHOMES/$PAM_USER $OTHERARGS -batch $IGNORES  > /tmp/login.txt 2>&1
echo "Profile is now ready."


